Skip to main content
POST
/
v1
/
contracts
/
{contractId}
/
cancel
Cancel Contract
curl --request POST \
  --url https://api.monk.com/v1/contracts/{contractId}/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cancelAt": "end_of_period"
}
'
{
  "data": {
    "id": "contract-uuid-1234",
    "isActive": false,
    "effectiveCancellationDate": "2026-03-31",
    "cancelledInvoiceCount": 9
  }
}
The current period invoice is preserved; future drafted invoices are cancelled. Scope: contracts:write

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contractId
string
required

The unique identifier of the contract (UUID)

Body

application/json
cancelAt
enum<string>
required
Available options:
end_of_period

Response

Contract cancelled

data
object